*************************************************************************
*          Routine to set some physical parameters in PYTHIA            *
*           CompHEP 4.10  -  PYTHIA 6.2 interface                       *
*************************************************************************
      SUBROUTINE PHYSPARS
*...PYTHIA common blocks
      INCLUDE 'PYTHIA62.inc'        

*...sinW
      sinW      = 0.473
      PARU(102) = sinW**2
                                   
*...masses, widths and width bands (CompHEP default values)
*....Z-boson
      PMAS(23,1)=91.1884
      PMAS(23,2)=2.49444
      PMAS(23,3)=10.*PMAS(23,2)

*...W-boson
      PMAS(24,1) = PMAS(23,1)*sqrt(1.-sinW**2)
      PMAS(24,2) = 2.08895
      PMAS(24,3) = 10.*PMAS(24,2)
       
*...t-quark
      PMAS(6,1) = 175.000
      PMAS(6,2) = 1.59
      PMAS(6,3) = 10.*PMAS(6,2)

*...b-quark (pole mass)
      PMAS(5,1) = 4.620 

*...c-quark (pole mass)
      PMAS(4,1) = 1.420

*...s-quark
      PMAS(3,1 ) = 0.200

*...muon mass  
      PMAS(13,1) =  0.1057

*...tau lepton mass
      PMAS(15,1) =  1.777    

      RETURN
      END
