*************************************************************************
*                  CompHEP 4.*  - HERWIG 6.5  interface                 *
*************************************************************************
      SUBROUTINE EVNTPARS
*...CompHEP-HERWIG interface
      INCLUDE 'COMPHEPINT.inc'
      SAVE
      
      CHARACTER*500 LINE
      CHARACTER*500 CMPRS

      OPEN (UNIT=22, FILE='INPARM.DAT', STATUS='OLD', ERR=1000)

      READ (UNIT=22, FMT='(A500)', ERR=1001) LINE
      READ (UNIT=22, FMT='(A500)', ERR=1001) LINE
      EVFILE = CMPRS(LINE)

      READ (UNIT=22, FMT='(A500)', ERR=1001) LINE
      READ (UNIT=22, FMT='(A500)', ERR=1001) LINE
      PROCESS = CMPRS(LINE)

      READ (UNIT=22, FMT='(A500)', ERR=1001) LINE
      READ (UNIT=22, FMT='(I10)',  ERR=1001) NEVPY

      READ (UNIT=22, FMT='(A500)', ERR=1001) LINE
      READ (UNIT=22, FMT='(I10)',  ERR=1001) FIREVT
      IF (FIREVT.LT.1) THEN
        WRITE(*,*)
     +	'*** Warning! First event parameter in INPARM.DAT file'
	WRITE(*,*)'    does not have to less than 1. So it is set to 1.'
	FIREVT = 1
      ENDIF

      CLOSE(UNIT=22)

*... check input channel for events
      IS = 44
      OPEN (UNIT=IS, FILE=EVFILE, STATUS='OLD', ERR=3000)
      CLOSE(IS)
      RETURN
 1000 WRITE(*,*)'Error: I can not open INPARM.DAT! Stop!'
      STOP
 1001 WRITE(*,*)'Error: I can not read INPARM.DAT! Stop!'
      STOP
 3000 WRITE(*,*)
     + 'Error: I can not open a file with events (',EVFILE,')! Stop!'
      STOP

      END
