*************************************************************************
*          Routine to set some physical parameters in HERWIG            *
*           CompHEP 4.10  -  HERWIG 6.5 interface                       *
*************************************************************************
      SUBROUTINE PHYSPARS
*...HERWIG common blocks
      INCLUDE 'HERWIG65.INC'
      SAVE
      
      DOUBLE PRECISION sinW

*...sinW
      sinW  = 0.473
      SWEIN = sinW**2
                                   
*...masses, widths and width bands (CompHEP default values)
*....Z-boson
      RMASS(200) = 91.1884
      GAMZ = 2.49444

*...W-boson
      RMASS(198) = RMASS(198)*sqrt(1.-sinW**2)
      GAMW       = 2.08895
       
*...t-quark
      RMASS(6) = 175.000
      RLTIM(6) = 6.582121*10**(-25)/1.59

*...b-quark (pole mass)
      RMASS(5) = 4.620 

*...c-quark (pole mass)
      RMASS(4) = 1.420

*...s-quark
      RMASS(3) = 0.200

*...muon mass  
      RMASS(123) =  0.1057

*...tau lepton mass
      RMASS(125)=  1.777    

      RETURN
      END
