*************************************************************************
*                          UPINIT routine                               *
*          for CompHEP 4.*  -  HERWIG 6.5 interface                     *
*************************************************************************
      SUBROUTINE UPINIT
      IMPLICIT DOUBLE PRECISION(A-H, O-Z)
      IMPLICIT INTEGER(I-N)
*...Les Houches Agreement I common blocks
      INCLUDE 'LHA.inc'
*...CompHEP-HERWIG interface
      INCLUDE 'COMPHEPINT.inc'
      SAVE
      INTEGER I

      CALL HWUIDT(1,KFB(1),I,BNAME(1))
      CALL HWUIDT(1,KFB(2),I,BNAME(2))

*...PDG codes for beams
      IDBMUP(1)=KFB(1)
      IDBMUP(2)=KFB(2)

*...beam energy (in PYTHIA beams are massless!)
      EBMUP(1)=SQRTS/2d0*(COSH(RPDTY)+SINH(RPDTY))
      EBMUP(2)=SQRTS/2d0*(COSH(RPDTY)-SINH(RPDTY))

*...PDFLIB group and set of the parton distributions
***     already done in interf

*...events weighting
      IDWTUP=3

*...number of subprocesses in input
      NPRUP=NPROC

*...cross section for each subprocess
      DO I=1,NPRUP
        XSECUP(I)=SIGMA(I)
      ENDDO

*...statistcal error on the cross sections
      DO I=1,NPRUP
        XERRUP(I)=0.0
      ENDDO

*...maximum event weight
      DO I=1,NPRUP
        XMAXUP(I)=1.0d0
      ENDDO

*...unique integer identifier for each subprocess
      DO 130 I=1,NPRUP
        LPRUP(I)=I
130   CONTINUE
      RETURN
      END
