*************************************************************************
*                          UPINIT routine                               *
*          for CompHEP 4.*  -  PYTHIA 6.2 interface                     *
*************************************************************************
      SUBROUTINE UPINIT
*...Les Houches Agreement I common blocks
      INCLUDE 'LHA.inc'        
*...CompHEP-HERWIG interface
      INCLUDE 'COMPHEPINT.inc'
      SAVE

*...PDG codes for beams
      IDBMUP(1) = KFB(1)     
      IDBMUP(2) = KFB(2)     

*...energies of beams (in PYTHI beams are massless !)
      EBMUP(1) = SQRTS/2d0*(COSH(RPDTY)+SINH(RPDTY))
      EBMUP(2) = SQRTS/2d0*(COSH(RPDTY)-SINH(RPDTY))

*...PDFLIB group and set of the parton distributions
***     already done in interf!

*...events weighting
      IDWTUP = 3     !unweighted input

*...number of subprocesses in input
      NPRUP = NPROC

*...cross section for each subprocess
      DO I = 1, NPRUP
        XSECUP(I) = SIGMA(I)
      ENDDO

*...statistcal error on the cross sections
      DO I = 1, NPRUP
       XERRUP(I) = 0.d0
      ENDDO

*...maximum event weight
      DO I = 1, NPRUP
       XMAXUP(I) = 1.d0
      ENDDO

*...unique integer identifier for each subprocess
      DO I = 1, NPRUP
       LPRUP(I) = I
      ENDDO

      RETURN
      END
